Results 1 to 9 of 9

Thread: E: Could not perform immediate configuration on 'util-linux'.Please see man 5 apt.con

  1. #1
    Join Date
    Dec 2008
    Location
    washington, DC
    Beans
    61
    Distro
    Kubuntu 10.04 Lucid Lynx

    E: Could not perform immediate configuration on 'util-linux'.Please see man 5 apt.con

    E: Could not perform immediate configuration on 'util-linux'.Please see man 5 apt.conf under APT::Immediate-Configure for details. (2)


    Any idea what to do here? This happened after I switched all my repositories over to lucid and did a dist-upgrade...

  2. #2
    dino99's Avatar
    dino99 is offline Ubuntu addict and loving it
    Join Date
    Jun 2006
    Location
    Nux Jam
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: E: Could not perform immediate configuration on 'util-linux'.Please see man 5 apt

    Quote Originally Posted by tehk View Post
    E: Could not perform immediate configuration on 'util-linux'.Please see man 5 apt.conf under APT::Immediate-Configure for details. (2)


    Any idea what to do here? This happened after I switched all my repositories over to lucid and did a dist-upgrade...
    what do you mean by "switched all my repositories over" ?

  3. #3
    Join Date
    Dec 2008
    Location
    washington, DC
    Beans
    61
    Distro
    Kubuntu 10.04 Lucid Lynx

    Re: E: Could not perform immediate configuration on 'util-linux'.Please see man 5 apt

    That's how I've been upgrading since 8.04, find and replace all "karmic" strings in /etc/apt/sources.lst with "lucid"

  4. #4
    Join Date
    Dec 2008
    Location
    washington, DC
    Beans
    61
    Distro
    Kubuntu 10.04 Lucid Lynx

    Re: E: Could not perform immediate configuration on 'util-linux'.Please see man 5 apt

    solved. see first post.

  5. #5
    Join Date
    Dec 2008
    Location
    washington, DC
    Beans
    61
    Distro
    Kubuntu 10.04 Lucid Lynx

    Re: E: Could not perform immediate configuration on 'util-linux'.Please see man 5 apt

    Nevermind, cant edit posts, chrome crashes with an...

    Aww Snap!

    message, when I try to edit any post on this thread.

    So, the solution was to use synaptic and upgrade util-linux and all dependencies. Then the dist-upgrade completed.

  6. #6
    Join Date
    Apr 2010
    Beans
    1

    Re: E: Could not perform immediate configuration on 'util-linux'.Please see man 5 apt

    Hey, I've got exactly the same error message. But I'm unable to fix it with synaptic because I've no gui, there is only the command line!

    so what can I do to solve the problem?

    thx

  7. #7
    Join Date
    May 2008
    Beans
    2

    Re: E: Could not perform immediate configuration on 'util-linux'.Please see man 5 apt

    I got around this error first by upgrading apt and apt-utils, then upgrading util-linux using synaptic, then did dist-upgrade from the shell and it worked.

  8. #8
    Join Date
    Apr 2010
    Beans
    1

    Re: E: Could not perform immediate configuration on 'util-linux'.Please see man 5 apt

    I also was having the same issue while upgrading from karmic to lucid, using the replace the work karmic with lucid method.

    After running safe-upgrade and rebooting I was dropped into console mode. When attempting a full-upgrade, I started getting this error.

    Turns out that while I had previously updated apt and aptitude, I did not upgrade "dpkg" (because of some other random mountall errors while doing so).



    Solution was to first upgrade dpkg (apt-get install dpkg) then run a full upgrade (aptitude full-upgrade). This caused the util-linux error to go away and full-upgrade to hum along like normal.

  9. #9
    Join Date
    Mar 2006
    Location
    Williams Lake
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: E: Could not perform immediate configuration on 'util-linux'.Please see man 5 apt

    Quote Originally Posted by avantgardist View Post
    Hey, I've got exactly the same error message. But I'm unable to fix it with synaptic because I've no gui, there is only the command line!

    so what can I do to solve the problem?

    thx
    At the prompt depending on which prompt if you are at a root prompt type:

    Code:
    apt-get -f install
    then

    Code:
    aptitude update && aptitude -y safe-upgrade
    If you are at your user prompt just add sudo at the beginning of the command.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •